/**
 * Aggregate items from sevaral async iterators into one.
 * Items are collected first in first out from the sources.
 * Whatever source comes first will be delivered first.
 * @param {AsyncIterator<any>[]} sources
 * @return {AsyncIterator<any>} items collected from all sources
 */
export function aggregateFifo(sources: AsyncIterator<any>[]): AsyncIterator<any>;
/**
 * Aggregate items from sevaral async iterators into one.
 * Items are collected round robin from the sources.
 * The 2nd. round of items will only be delivered after all sources
 * have delivered their 1st. round (or reached their end).
 * @param {AsyncIterator<any>[]} sources
 * @return {AsyncIterator<any>} items collected from all sources
 */
export function aggregateRoundRobin(sources: AsyncIterator<any>[]): AsyncIterator<any>;
export default aggregateFifo;
